/*************************************************************
 *  BEATING  
 *  for 2 potentiometer to change 2 frequences
 *  when these are close one could hear a third frequency
 *  Audio output on digital pin 9
 *  
 *  Wolfgang Spahn 2021 
 ************************************************************/

#include <MozziGuts.h>
#include <Oscil.h>                // oscillator template
#include <tables/sin2048_int8.h>  // sine table for oscillator

Oscil <SIN2048_NUM_CELLS, AUDIO_RATE> aSin1(SIN2048_DATA);
Oscil <SIN2048_NUM_CELLS, AUDIO_RATE> aSin2(SIN2048_DATA);
#define CONTROL_RATE 64 // powers of 2 please

int poti_input1;
int poti_input2;

void setup(){
  startMozzi(CONTROL_RATE); // set a control rate of 64 (powers of 2 please)
}

void updateControl(){
  poti_input1 = mozziAnalogRead(A0);
  poti_input2 = mozziAnalogRead(A1);
  aSin1.setFreq(poti_input1);
  aSin2.setFreq(poti_input2);
}

int updateAudio(){
  
  return ((int)aSin1.next()*0.5+ aSin2.next()*0.5); // return an int signal centred around 0
}

void loop(){
  audioHook(); // required here
}
